//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView;
using Evolving.TrueView.Domain.Attributes;
using TestApplicationDomainModel.Objects;
using Evolving.TrueView.Persistence.Querying;

namespace TestApplicationDomainModel.Respositories

{

    public class CategoryRepository : IRepository<Category>
    {
        public IList<Category> ShowAllOfThem()
        {
            var query = new Query(typeof(Category));
            return Evolving.TrueView.My.Session.Load<Category>(query);
        }


        #region IRepository<Category> Members

        public Category Load(Guid id)
        {
            throw new NotImplementedException();
        }

        public Category Save(Category aggregateRoot)
        {
            throw new NotImplementedException();
        }

        public object[] Save(params object[] domainObjects)
        {
            throw new NotImplementedException();
        }

        public void Delete(Category aggregateRoot)
        {
            throw new NotImplementedException();
        }

        public IAggregateLock Lock(Category aggregateRoot)
        {
            throw new NotImplementedException();
        }

        public void Unlock(Category aggregateRoot)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
